<%@ Page Language="C#" AutoEventWireup="true" CodeFile="index.aspx.cs" Inherits="Admin_mainframe_index" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Angel工作室asp.net留言板</title>
    <link href="../ligerUI/skins/Aqua/css/ligerui-all.css" rel="stylesheet" type="text/css" />
    <script src="../js/jquery-1.4.1.min.js" type="text/javascript"></script>
    <script src="../ligerUI/js/ligerui.all.js" type="text/javascript"></script>
    <script src="../js/indexdata.js" type="text/javascript"></script>
    <link href="../css/framestyle.css" rel="stylesheet" type="text/css" />
    <script src="../js/LG.js" type="text/javascript"></script>
    <script src="../js/login.js" type="text/javascript"></script>
    <script src="../js/jquery-validation/jquery.validate.min.js" type="text/javascript"></script>
    <script src="../js/jquery-validation/jquery.metadata.js" type="text/javascript"></script>
    <script src="../js/jquery-validation/messages_cn.js" type="text/javascript"></script>
    <script src="../js/updatepassword.js" type="text/javascript"></script>
    <script src="../ligerUI/js/plugins/ligerForm.js" type="text/javascript"></script>
    <script type="text/javascript">
        var tab = null;
        var accordion = null;
        var tree = null;
        $(function () {
            $("#home").attr("src", "main.aspx");
            //布局
            $("#layout1").ligerLayout({ leftWidth: 190, height: '100%', heightDiff: -34, space: 4, onHeightChanged: f_heightChanged });

            var height = $(".l-layout-center").height();

            //Tab
            $("#framecenter").ligerTab({ height: height });

            //面板
            $("#accordion1").ligerAccordion({ height: height - 24, speed: null });

            $(".l-link").hover(function () {
                $(this).addClass("l-link-over");
            }, function () {
                $(this).removeClass("l-link-over");
            });
            //树
            $("#tree1").ligerTree({
                data: indexdata,
                checkbox: false,
                slide: false,
                nodeWidth: 120,
                attribute: ['nodename', 'url'],
                onSelect: function (node) {
                    if (!node.data.url) return;
                    var tabid = $(node.target).attr("tabid");
                    if (!tabid) {
                        tabid = new Date().getTime();
                        $(node.target).attr("tabid", tabid)
                    }
                    f_addTab(tabid, node.data.text, node.data.url);
                }
            });

            tab = $("#framecenter").ligerGetTabManager();
            accordion = $("#accordion1").ligerGetAccordionManager();
            tree = $("#tree1").ligerGetTreeManager();
            $("#pageloading").hide();

        });
        function f_heightChanged(options) {
            if (tab)
                tab.addHeight(options.diff);
            if (accordion && options.middleHeight - 24 > 0)
                accordion.setHeight(options.middleHeight - 24);
        }
        function f_addTab(tabid, text, url) {
            tab.addTabItem({ tabid: tabid, text: text, url: url });
        }


        function closeTabByTitle(title) {

            //                if (tab.isTabItemExist(''))
            //                    tab.c('close', title);
        }

        //修改密码
        function f_changepassword() {
            LG.updatepassword();
        }        
     
    </script>
</head>
<body style="padding: 0px; background: #EAEEF5;">
    <div id="modifyPwd" style="display: none;">
        <form id="modifypwdForm" method="post">
        </form>
    </div>
    <div id="pageloading">
    </div>
    <div id="topmenu" class="l-topmenu">
        <div class="l-topmenu-logo">
            Angel工作室后台管理系统</div>
        <div class="l-topmenu-welcome">
            <font color="#ffffff">
              <a href="../../index.html" class="l-link2">前台页面</a> <span class="space">|</span> <%=Session["LoginName"]%>管理员你好！</font> <span class="space">|</span> <a href="javascript:f_changepassword()">修改密码</a>
            <span class="space">|</span> <a href="../Login.aspx?Out=loginout" class="l-link2">退出</a>
        </div>
    </div>
    <div id="layout1" style="width: 99.2%; margin: 0 auto; margin-top: 4px;">
        <div position="left" title="主要菜单" id="accordion1">
            <div title="功能列表" class="l-scroll">
                <ul id="tree1" style="margin-top: 3px;">
                </ul>
            </div>
            <div title="系统设置">
                <div style="height: 7px;">
                </div>
                <a class="l-link" href="javascript:f_addTab('listpage','列表页面','http://www.angelasp.com')">
                    连接官方</a> 
            </div>
            <div title="工作室官方">
                <div style="height: 7px;">
                </div>
                <a class="l-link" href="http://www.angelasp.com" target="_blank">Angel工作室官方</a>
            </div>
        </div>
        <div position="center" id="framecenter">
            <div tabid="home" title="我的主页" style="height: 300px">
                <iframe frameborder="0" name="home" id="home" src=""></iframe>
            </div>
        </div>
    </div>
    <div style="height: 32px; line-height: 32px; text-align: center;">
        Copyright © 2009-2014 <a href="http://www.angelasp.com">www.angelasp.com</a>
    </div>
    <div style="display: none">
    </div>
</body>
</html>
